## rtv 0.1.0

=== DESCRIPTION ===
Package: rtv
Type: Package
Title: Random Time Variable Objects
Version: 0.1.0
Date: 2009-02-08
Author: Charlotte Maia
Maintainer: Michael Maia, Charlotte Maia <maiagx@gmail.com>
Description: An R package for conveniently representing and manipulating realisations of random time variables.
License: GPL (>= 2)
LazyLoad: yes
Packaged: Sun Feb  8 11:35:54 2009; hornik

## rtv 0.2.0

=== DESCRIPTION ===
Package: rtv
Type: Package
Title: Random Time Variable Objects
Version: 0.2.0
Date: 2009-03-19
Author: Charlotte Maia
Maintainer: Charlotte Maia <maiagx@gmail.com>
Description: An R package for conveniently representing and
        manipulating realisations of random time variables.
License: GPL (>= 2)
LazyLoad: yes
Packaged: Thu Mar 19 19:23:28 2009; mcal040
Repository: CRAN
Date/Publication: 2009-03-19 08:02:36

## rtv 0.2.2

=== DESCRIPTION ===
Package: rtv
Type: Package
Title: Random Time Variable Objects
Version: 0.2.2
Date: 2009-03-23
Author: Charlotte Maia
Maintainer: Charlotte Maia <maiagx@gmail.com>
Description: An R package for conveniently representing and
        manipulating realisations of random time variables.
License: GPL (>= 2)
LazyLoad: yes
Packaged: Mon Mar 23 20:17:42 2009; mcal040
Repository: CRAN
Date/Publication: 2009-03-23 07:47:12

## rtv 0.3.0

=== DESCRIPTION ===
Package: rtv
Title: Random Time Variables
Version: 0.3.0
Date: 2009-08-19
Author: Charlotte Maia
Maintainer: Charlotte Maia <maiagx@gmail.com>
Description: An R package for conveniently representing and
        manipulating realisations of random time variables.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2009-08-19 06:24:17 UTC; maia
Repository: CRAN
Date/Publication: 2009-08-20 13:48:24

## rtv 0.3.1

=== DESCRIPTION ===
Package: rtv
Title: Random Time Variables
Version: 0.3.1
Date: 2009-09-11
Author: CHARLOTTE MAIA
Maintainer: Charlotte Maia <maiagx@gmail.com>
Description: An R package for conveniently representing, manipulating
        and visualising realisations of random time variables. This
        package is pending a major rewrite.
License: GPL (>= 2)
LazyLoad: yes
Packaged: 2009-09-11 07:08:46 UTC; maia
Repository: CRAN
Date/Publication: 2009-11-20 07:53:31

## rtv 0.4.0

=== DESCRIPTION ===
Package: rtv
Title: Random Time Variables
Version: 0.4.0
Date: 2010-05-26
Author: Charlotte Maia
Maintainer: Charlotte Maia <maiagx@gmail.com>
Description: A package for conveniently representing, manipulating and
        visualising time data. Here, time is regarded as a random
        variable, and objects are used to represent realisations of
        that random variable. This is particularly useful for change
        points, irregular timeseries and failure events. There's a
        strong emphasis on continuous representations of time, with
        user-specified origins and units.
License: GPL (>= 2)
Depends: ofp
Suggests: amba, mecdf, mtsc, umlr
Packaged: 2010-05-26 05:08:57 UTC; maia
Repository: CRAN
Date/Publication: 2010-05-27 06:55:52

=== inst/doc/Makefile ===
makerel:
	make makedev
	make clean

makedev:
	make rtv.pdf

rtv.pdf: rtv.tex maia2.sty
	pdflatex rtv.tex

rtv.tex: rtv.rnw
	R CMD Sweave rtv.rnw

clean:
	rm *.tex
	rm *.aux
	rm *.log
	rm tmp*
	rm Rplots*

## rtv 0.4.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rtv
 Title: Random Time Variables
-Version: 0.4.0
-Date: 2010-05-26
+Version: 0.4.1
+Date: 2010-08-25
 Author: Charlotte Maia
 Maintainer: Charlotte Maia <maiagx@gmail.com>
 Description: A package for conveniently representing, manipulating and
@@ -13,7 +13,7 @@
         user-specified origins and units.
 License: GPL (>= 2)
 Depends: ofp
-Suggests: amba, mecdf, mtsc, umlr
-Packaged: 2010-05-26 05:08:57 UTC; maia
+Suggests: mecdf
+Packaged: 2010-08-25 00:48:25 UTC; maia
 Repository: CRAN
-Date/Publication: 2010-05-27 06:55:52
+Date/Publication: 2010-09-16 06:37:30

## rtv 0.4.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rtv
 Title: Random Time Variables
-Version: 0.4.1
-Date: 2010-08-25
+Version: 0.4.2
+Date: 2011-05-23
 Author: Charlotte Maia
 Maintainer: Charlotte Maia <maiagx@gmail.com>
 Description: A package for conveniently representing, manipulating and
@@ -12,8 +12,8 @@
         strong emphasis on continuous representations of time, with
         user-specified origins and units.
 License: GPL (>= 2)
-Depends: ofp
+Depends: s3x
 Suggests: mecdf
-Packaged: 2010-08-25 00:48:25 UTC; maia
+Packaged: 2011-05-23 04:28:28 UTC; maia
 Repository: CRAN
-Date/Publication: 2010-09-16 06:37:30
+Date/Publication: 2011-05-25 06:52:19

## rtv 0.4.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: rtv
 Title: Random Time Variables
-Version: 0.4.2
-Date: 2011-05-23
+Version: 0.4.3
+Date: 2011-09-07
 Author: Charlotte Maia
 Maintainer: Charlotte Maia <maiagx@gmail.com>
 Description: A package for conveniently representing, manipulating and
@@ -12,8 +12,8 @@
         strong emphasis on continuous representations of time, with
         user-specified origins and units.
 License: GPL (>= 2)
-Depends: s3x
+Depends: s3x (>= 0.2.0)
 Suggests: mecdf
-Packaged: 2011-05-23 04:28:28 UTC; maia
+Packaged: 2011-09-07 02:38:09 UTC; maia
 Repository: CRAN
-Date/Publication: 2011-05-25 06:52:19
+Date/Publication: 2011-09-13 04:40:08

## rtv 1.14.1+dfsg

=== requirements.txt ===
beautifulsoup4==4.5.1
decorator==4.0.10
kitchen==1.2.4
mailcap-fix==0.1.3
praw==3.5.0
requests==2.11.0
six==1.10.0
update-checker==0.11

=== debian/changelog ===
rtv (1.14.1+dfsg-1) unstable; urgency=medium

  * New upstream release (1.14.1):
    - Refreshed debian/patches/*

 -- Josue Ortega <josue@debian.org>  Sat, 14 Jan 2017 11:02:16 -0600

rtv (1.13.0+dfsg-2) unstable; urgency=medium

  * debian/control: Adds missing package dependencies.

 -- Josue Ortega <josue@debian.org>  Thu, 03 Nov 2016 08:21:41 -0600

rtv (1.13.0+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #841717)

 -- Josue Ortega <josue@debian.org>  Mon, 24 Oct 2016 19:07:52 -0600

=== debian/control ===
Source: rtv
Section: misc
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-bs4 (>= 4.5.1),
 python3-decorator,
 python3-kitchen,
 python3-praw,
 python3-requests,
 python3-six
Standards-Version: 3.9.8
Homepage: https://github.com/michael-lazar/rtv
X-Python3-Version: >= 3.5
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/rtv.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rtv.git/

Package: rtv
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-bs4 (>= 4.5.1),
 python3-decorator,
 python3-kitchen,
 python3-praw,
 python3-requests,
 python3-six
Description: Reddit Terminal Viewer
 A simple terminal viewer for Reddit. rtv provides an interface to view and
 interact with Reddit from your terminal.

## rtv 1.17.1+dfsg

=== requirements.txt ===
beautifulsoup4==4.5.1
decorator==4.0.10
kitchen==1.2.4
mailcap-fix==0.1.3
requests==2.11.0
six==1.10.0
pytest==3.0.7
vcrpy==1.10.5
pylint==1.6.5

=== debian/changelog ===
rtv (1.17.1+dfsg-1) unstable; urgency=medium

  * New upstream release (1.17.1):
    - Refreshes 00-warning-new-config-file.patch.
  * debian/control:
    - Removes python3-praw from Build-Depends and install Depends since own praw
      is included.
    - Bumps standards version to 4.0.1, no changes required.

 -- Josue Ortega <josue@debian.org>  Mon, 07 Aug 2017 17:45:02 -0400

rtv (1.16.0+dfsg-2) unstable; urgency=medium

  * Adds patch to warning user about update configuration file.
  * Adds debian/NEWS about the new configuration file.

 -- Josue Ortega <josue@debian.org>  Sat, 24 Jun 2017 12:12:38 -0600

rtv (1.16.0+dfsg-1) unstable; urgency=medium

  * New upstream release (1.16.0).
  * debian/control: Adds xsel or xclip as package dependency.

 -- Josue Ortega <josue@debian.org>  Fri, 23 Jun 2017 09:08:25 -0600

rtv (1.15.1+dfsg-1) experimental; urgency=medium

  * New upstream release (1.15.1):
    - debian/patches updated.
    - debian/patches/00-use-system-mailcap.patch deleted, is no longer needed.
    - debian/patches/00-removes-extra-requires.patch added.
  * debian/copyright: Added copyright paragraph for rtv/packages/praw files.

 -- Josue Ortega <josue@debian.org>  Thu, 13 Apr 2017 18:11:19 -0600

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
  python3-bs4 (>= 4.5.1),
  python3-decorator,
  python3-kitchen,
- python3-praw,
  python3-requests,
  python3-six
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/michael-lazar/rtv
 X-Python3-Version: >= 3.5
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/rtv.git
@@ -24,9 +23,9 @@
  python3-bs4 (>= 4.5.1),
  python3-decorator,
  python3-kitchen,
- python3-praw,
  python3-requests,
- python3-six
+ python3-six,
+ xsel | xclip
 Description: Reddit Terminal Viewer
  A simple terminal viewer for Reddit. rtv provides an interface to view and
  interact with Reddit from your terminal.

## rtv 1.21.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -11,11 +11,11 @@
  python3-kitchen,
  python3-requests,
  python3-six
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/michael-lazar/rtv
 X-Python3-Version: >= 3.5
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/rtv.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/rtv.git/
+Vcs-Git: https://salsa.debian.org/debian/rtv.git
+Vcs-Browser: https://salsa.debian.org/debian/rtv
 
 Package: rtv
 Architecture: all

## rtv 1.21.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 mailcap-fix==0.1.3
 requests==2.11.0
 six==1.10.0
-pytest==3.0.7
+pytest==3.2.3
 vcrpy==1.10.5
 pylint==1.6.5

=== debian/changelog ===
rtv (1.21.0+dfsg-1) unstable; urgency=medium

  * New upstream release (1.21.0):
    - Release debian/patches.
  * debian/control:
    - Updates Vcs-* fields to salsa.debian.org.
    - Bumps Standards-Version to 4.1.3, no changes required.
  * Bumps compat version 10->11.

 -- Josue Ortega <josue@debian.org>  Thu, 25 Jan 2018 18:56:52 -0600

rtv (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream release (v1.20.0):
    - Refresh debian patches.
  * Bumps Standards-Version to 4.1.2, no changes required.

 -- Josue Ortega <josue@debian.org>  Sat, 09 Dec 2017 14:25:50 -0600

rtv (1.19.0+dfsg-1) unstable; urgency=medium

  * New upstream release (1.19.0):
    - Refresh debian patches
  * debian/control:
    - Bumps compat version from 9 to 10.
    - Bumps Standards-Version to 4.1.1, no changes required.

 -- Josue Ortega <josue@debian.org>  Sat, 28 Oct 2017 13:18:45 -0600

rtv (1.18.0+dfsg-1) unstable; urgency=medium

  * New upstream release (1.18.0):
    - Refreshes 00-warning-new-config-file.patch.

 -- Josue Ortega <josue@debian.org>  Sat, 16 Sep 2017 10:41:07 -0600

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=rtv

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\.\d+$//,,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rtv-$1\.tar\.gz/ \
 https://github.com/michael-lazar/rtv/releases .*/v*(\d\S*)\.tar\.gz \
 debian debian/repack

## rtv 1.23.0+dfsg

=== debian/changelog ===
rtv (1.23.0+dfsg-1) unstable; urgency=medium

  * New upstream release (1.23.0).
  * debian/control:
    - Bumps Standards-Version to 4.1.5, no changes required.
    - Bumps X-Python3-Version to use >= 3.6.
    - Updates short description.

 -- Josue Ortega <josue@debian.org>  Mon, 30 Jul 2018 10:36:31 +0800

rtv (1.22.1+dfsg-1) unstable; urgency=medium

  * New upstream release (1.22.1):
   - Refresh debian/patches.
  * Add debian/upstream/metadata file.

 -- Josue Ortega <josue@debian.org>  Fri, 30 Mar 2018 10:27:32 -0600

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  python3-kitchen,
  python3-requests,
  python3-six
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Homepage: https://github.com/michael-lazar/rtv
-X-Python3-Version: >= 3.5
+X-Python3-Version: >= 3.6
 Vcs-Git: https://salsa.debian.org/debian/rtv.git
 Vcs-Browser: https://salsa.debian.org/debian/rtv
 
@@ -26,6 +26,6 @@
  python3-requests,
  python3-six,
  xsel | xclip
-Description: Reddit Terminal Viewer
+Description: Simple Reddit terminal browser
  A simple terminal viewer for Reddit. rtv provides an interface to view and
  interact with Reddit from your terminal.

## rtv 1.24.0+dfsg

=== debian/changelog ===
rtv (1.24.0+dfsg-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Add minimum required versions for python modules.
  * Drop to debhelper 10 compat to ease backports.
  * Revert to X-Python2-Version to >= 3.5

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 Feb 2019 15:41:41 -0800

rtv (1.24.0+dfsg-1) unstable; urgency=medium

  * New upstream release 1.24.0
  * Bump Standards-Version to 4.2.0:
    - debian/rules: Increase verbosity at build time.

 -- Josue Ortega <josue@debian.org>  Sun, 26 Aug 2018 15:33:12 -0600

=== debian/control ===
Source: rtv
Section: misc
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>= 10.2),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-bs4 (>= 4.5.1),
 python3-decorator (>= 4.0.10),
 python3-kitchen (>= 1.2.4),
 python3-requests (>= 2.11.0),
 python3-six (>= 1.10.0)
Standards-Version: 4.2.0
Homepage: https://github.com/michael-lazar/rtv
X-Python3-Version: >= 3.5
Vcs-Git: https://salsa.debian.org/debian/rtv.git
Vcs-Browser: https://salsa.debian.org/debian/rtv

Package: rtv
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-bs4 (>= 4.5.1),
 python3-decorator (>= 4.0.10),
 python3-kitchen (>= 1.2.4),
 python3-requests (>= 2.11.0),
 python3-six (>= 1.10.0),
 xsel | xclip
Description: Simple Reddit terminal browser
 A simple terminal viewer for Reddit. rtv provides an interface to view and
 interact with Reddit from your terminal.

## rtv 1.25.1+dfsg

=== debian/changelog ===
rtv (1.25.1+dfsg-1) unstable; urgency=medium

  * New upstream release (1.25.1)
  * Add debian CI test.

 -- Josue Ortega <josue@debian.org>  Thu, 21 Feb 2019 05:43:05 -0600

rtv (1.25.0+dfsg-1) unstable; urgency=medium

  * New upstream release (1.25.0):
    - Update debian/patches
  * Bumps Standards-Version to 4.3.0:
    - debian/changelog: Document Rules-Requires-Root field.

 -- Josue Ortega <josue@debian.org>  Wed, 06 Feb 2019 21:43:15 -0600

=== debian/control ===
Source: rtv
Section: misc
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper (>= 11),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-bs4 (>= 4.5.1),
 python3-decorator,
 python3-kitchen,
 python3-requests,
 python3-six
Standards-Version: 4.3.0
Homepage: https://github.com/michael-lazar/rtv
X-Python3-Version: >= 3.6
Vcs-Git: https://salsa.debian.org/debian/rtv.git
Vcs-Browser: https://salsa.debian.org/debian/rtv
Rules-Requires-Root: no

Package: rtv
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-bs4 (>= 4.5.1),
 python3-decorator,
 python3-kitchen,
 python3-requests,
 python3-six,
 xsel | xclip
Description: Simple Reddit terminal browser
 A simple terminal viewer for Reddit. rtv provides an interface to view and
 interact with Reddit from your terminal.

=== debian/tests/control ===
Test-Command: rtv --version

## rtv 1.27.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 pytest==3.2.3
 vcrpy==1.10.5
 pylint==1.6.5
+pytest-xdist==1.22.5

=== debian/changelog ===
rtv (1.27.0+dfsg-2) unstable; urgency=medium

  * Mark autopkgtest as superficial. Closes: #969866
  * Bump debhelper-compat to (= 13)
  * debian/watch: Bump file standard version to 4
  * Bump Standards-Version to 4.5.1. No changes required

 -- Josue Ortega <josue@debian.org>  Wed, 13 Jan 2021 21:16:36 -0600

rtv (1.27.0+dfsg-1) unstable; urgency=medium

  * New upstream release (1.27.0)
  * Update debhelper compat version to use (= 12)
  * Bump Standards-Version to 4.4.0. No changes required

 -- Josue Ortega <josue@debian.org>  Sat, 20 Jul 2019 17:40:21 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -11,7 +11,7 @@
  python3-kitchen,
  python3-requests,
  python3-six
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/michael-lazar/rtv
 X-Python3-Version: >= 3.6
 Vcs-Git: https://salsa.debian.org/debian/rtv.git

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export PYBUILD_NAME=rtv

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: rtv --version
Restrictions: superficial

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\.\d+$//,,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/rtv-$1\.tar\.gz/ \
 https://github.com/michael-lazar/rtv/releases .*/v*(\d\S*)\.tar\.gz \
 debian debian/repack
